.header {
  height: 55px;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: 100;
  background-color: white;

}

.left-section {
  display: flex;
  align-items: center;
}

.hamburger-menu {
  height: 24px;
  margin-left: 24px;
  margin-right: 24px;
  cursor: pointer;
}

.youtube-logo {
  height: 20px;
  cursor: pointer;
}

.india {
  font-size: 10px;
  color: rgb(96, 96, 96);
  margin: -20px 0px 0px 4px;

}

.middle-section {
  flex: 1;
  margin-left: 70px;
  margin-right: 35px;
  max-width: 655px;
  display: flex;
  align-items: center;
}

.search-bar {
  flex: 1;
  height: 36px;
  padding-left: 10px;
  font-size: 16px;
  border: 1px solid rgb(192, 192, 192);
  border-radius: 2px;
  box-shadow: inset 1px 2px 3px rgba(0, 0, 0, 0.05);
  width: 0;
  border-radius: 30px 0px 0px 30px;
}

/* Mobile Header Adjustments */
@media (max-width: 600px) {
  .middle-section {
    display: none;
    /* Hide search bar on mobile */
  }

  .right-section {
    width: auto;
    /* Auto width to fit content */
    margin-right: 10px;
  }

  .upload-icon-container,
  .notifications-icon-container {
    display: none;
    /* Hide extra icons on mobile for space */
  }
}

.search-bar::placeholder {
  font-size: 16px;
}

.search-button {
  height: 40px;
  width: 66px;
  background-color: rgb(240, 240, 240);
  border-width: 1px;
  border-style: solid;
  border-color: rgb(192, 192, 192);
  margin-left: -1px;
  margin-right: 10px;
  border-radius: 0px 30px 30px 0px;
  cursor: pointer;
}

.search-button,
.voice-search-button,
.upload-icon-container,
.notifications-icon-container {
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
}

.search-button .tooltip,
.voice-search-button .tooltip,
.upload-icon-container .tooltip,
.notifications-icon-container .tooltip {
  position: absolute;
  background-color: gray;
  color: white;
  padding-top: 6px;
  padding-bottom: 6px;
  padding-left: 10px;
  padding-right: 10px;
  border-radius: 4px;
  font-size: 12px;
  bottom: -30px;
  opacity: 0;
  transition: opacity 0.15s;
  pointer-events: none;
  white-space: nowrap;

}

.search-button:hover .tooltip,
.voice-search-button:hover .tooltip,
.upload-icon-container:hover .tooltip,
.notifications-icon-container:hover .tooltip {
  opacity: 1;
}

.search-icon {
  height: 25px;
}

.voice-search-button {
  height: 40px;
  width: 40px;
  border-radius: 20px;
  border: none;
  background-color: rgb(245, 245, 245);
  cursor: pointer;
}

.voice-search-icon {
  height: 24px;
}

.right-section {
  width: 140px;
  margin-right: 30px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-shrink: 0;
}

.upload-icon {
  height: 24px;
  cursor: pointer;
}


.notifications-icon {
  height: 24px;
  cursor: pointer;
}

.notifications-icon-container {
  position: relative;
}

.current-user-picture {
  height: 32px;
  border-radius: 16px;
  cursor: pointer;
}